// AddBrainCellDlg.h : header file
//
struct Lobe;
/////////////////////////////////////////////////////////////////////////////
// CAddBrainCellDlg dialog

class CAddBrainCellDlg : public CDialog
{
// Construction
public:
	CAddBrainCellDlg(CWnd* pParent = NULL);   // standard constructor

	void UpdateCellDescription(Lobe* lobe);
	void UpdateDescription();

// Dialog Data
	//{{AFX_DATA(CAddBrainCellDlg)
	enum { IDD = IDD_ADD_DIALOG };
	CEdit	fDescriptionWindow;
	CEdit	fLobeDescriptionWindow;
	CEdit	fDendriteDescriptionWindow;
	CEdit	fCellDescriptionWindow;
	CEdit	fLobeEditWindow;
	CEdit	fDendriteEditWindow;
	CEdit	fCellEditWindow;
	CSpinButtonCtrl	fLobeSpin;
	CSpinButtonCtrl	fDendriteSpin;
	CSpinButtonCtrl	fCellSpin;
	UINT	fCellEdit;
	UINT	fDendriteEdit;
	UINT	fLobeEdit;
	CString	fDescriptionEdit;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAddBrainCellDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CAddBrainCellDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnChangeDendriteEdit();
	afx_msg void OnChangeCellEdit();
	afx_msg void OnChangeLobeEdit();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
